# SolrClient::setServlet

(PECL solr >= 0.9.2)

SolrClient::setServlet — Modifie le type d'un servlet en une nouvelle valeur

### Description

public SolrClient::setServlet(int `$type`, string `$value`): bool

Modifie le type d'un servlet en une nouvelle valeur.

### Liste de paramètres

`type`

  Une constante parmi :

      - SolrClient::SEARCH_SERVLET_TYPE
       - SolrClient::UPDATE_SERVLET_TYPE
       - SolrClient::THREADS_SERVLET_TYPE
       - SolrClient::PING_SERVLET_TYPE
       - SolrClient::TERMS_SERVLET_TYPE

`value`

  La nouvelle valeur du servlet

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.